var EndpointContext = require("../endpoint-context");
var Handler = require('../../handler/handler');
var moment = require('moment');

var ApplicationHandler = function () {
    this.startupDateContext = new EndpointContext(
        'startupDate',
        moment().format('YYYY-MM-DD\THH:mm:ss.SSSSSSSSZ'));
}

ApplicationHandler.prototype = new Handler();

ApplicationHandler.prototype.handle = function (datapoint) {
    datapoint.addEndpointContext(EndpointContext.APPLICATION_NAME, bitSensor.config.applicationName);
    datapoint.addEndpointContext(this.startupDateContext);
}


module.exports = ApplicationHandler;