var expect = require('chai').expect;
var TimeHandler = require('../core/handler/time-handler');
var moment = require('moment');
var EndpointContext = require('../core/endpoint-context');
var Datapoint = require('../core/datapoint');
var datapoint = new Datapoint();
new TimeHandler().handle(datapoint);

describe("Time handler", function(){
    it("should have equal value", function(){
        expect(datapoint.endpointCollection[0].value == moment().format('YYYY-MM-DD\THH:mm:ss.SSSSSSSSZ'));
    });
    it("should have equal name", function(){
        expect(datapoint.endpointCollection[0].name == EndpointContext.REQUEST_TIME);
    });
});
