var Context = require('./context');

var EndpointContext = function (key, value) {
    this.name = key;
    this.value = value;
};

EndpointContext.prototype = new Context();

EndpointContext.NAME = 'endpoint';
EndpointContext.SERVER_ADDR = 'address';
EndpointContext.SERVER_NAME = 'name';
EndpointContext.SERVER_SOFTWARE = 'software';
EndpointContext.SERVER_PORT = 'port';
EndpointContext.APPLICATION_NAME = "application";
EndpointContext.DOCUMENT_ROOT = 'documentRoot';
EndpointContext.GATEWAY_INTERFACE = 'interface';
EndpointContext.SCRIPT_FILENAME = 'location';
EndpointContext.REQUEST_TIME = 'localtime';
EndpointContext.REQUEST_URI = 'uri';

module.exports = EndpointContext;