var fs = require('fs');
var BitSensor = require('./bitsensor');
bitSensor = new BitSensor(fs.realpathSync('config.json'));
var VersionHandler = require('./handler/bitsensor-version-handler');
var EnvironmentHandler = require('./handler/environment-handler');
var TimeHandler = require('./handler/time-handler');
var ApplicationHandler = require('./handler/application-handler');

bitSensor.addPostHandler(new VersionHandler());
bitSensor.addPostHandler(new EnvironmentHandler());
bitSensor.addPostHandler(new TimeHandler());
bitSensor.addPostHandler(new ApplicationHandler());



