var Context = require('./context');

var MetaContext = function (key, value) {
    this.name = key;
    this.value = value;
};

MetaContext.prototype = new Context();

MetaContext.NAME = 'meta';
MetaContext.ENCRYPTION = 'encryption';
MetaContext.ENCRYPTION_KEY = 'key';
MetaContext.DATA = 'data';
MetaContext.USER = 'user';
MetaContext.API_KEY = 'apiKey';
MetaContext.PROVIDER = 'provider';
MetaContext.PROVIDER_VERSION = 'version';

MetaContext.PROVIDER_PHP = 'bitsensor-php';
MetaContext.PROVIDER_APACHE = 'apache-log';
MetaContext.PROVIDER_NODEJS = 'bitsensor-nodejs';
MetaContext.PROVIDER_OTHER = 'other';

module.exports = MetaContext;